:root {
  --primary-color: #f07c00;
  --secondary-color: #0563aa;
}

* {
  margin: 0;
  padding: 0;
}

html {
  scroll-behavior: smooth;
}

.icons {
  color: var(--primary-color);
}

.modal {
  display: none;
}

.sarala-regular {
  font-family: "Sarala", serif;
  font-weight: 400;
  font-style: normal;
}

.sarala-bold {
  font-family: "Sarala", serif;
  font-weight: 700;
  font-style: normal;
}

body {
  font-family: "Sarala", serif;
}

.visually-hidden {
  position: absolute;
  width: 1px;
  height: 1px;
  margin: -1px;
  padding: 0;
  overflow: hidden;
  clip: rect(0, 0, 0, 0);
  border: 0;
}

/* loading screen */
.is-loading {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  background: linear-gradient(
    135deg,
    var(--primary-color),
    var(--secondary-color)
  );
  background-size: 400% 400%;
  z-index: 1000;
  transition: opacity 0.5s ease, visibility 0.5s ease;
}

.is-loading img {
  animation: pulse 1.5s ease-in-out infinite;
}

@keyframes pulse {
  0%,
  100% {
    transform: scale(1);
    opacity: 1;
  }
  50% {
    transform: scale(1.1);
    opacity: 0.8;
  }
}

.is-loading.hidden {
  opacity: 0;
  visibility: hidden;
}

.is-loaded.hidden {
  display: none;
}
.is-loaded {
  display: block;
}

/* navigation */
nav {
  position: fixed;
  padding-top: 16px;
  top: 0;
  width: 100%;
  background-color: white;
  box-shadow: #000 0px 0px 10px;
  display: grid;
  grid-template-columns: 1fr 3fr 3fr 3fr 1fr;
  align-items: center;
  height: 100px;
  z-index: 99;
}

.logo-nav {
  width: 154px;
  grid-column: 1;
  transform: translate(0, 5px);
}

nav ul {
  display: flex;
  align-items: center;
  list-style: none;
  gap: 16px;
  grid-column: 2 / 4;
}

nav a {
  text-decoration: none;
  color: var(--primary-color);
  font-size: 18px;
  margin-left: 32px;
  text-align: center;
}
.phone-icons {
  display: flex;
  flex-direction: column;
  gap: 16px;
}

.h1-container {
  position: absolute;
  top: 90%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 10;
  text-align: center;
  width: 100%;
}

.animated-h1 {
  opacity: 0;
  letter-spacing: 10px;
  animation: fadeIn 5s forwards;
  color: white;
  font-size: 2rem;
  white-space: nowrap;
}

@keyframes fadeIn {
  from {
    opacity: 0;
  }
  to {
    opacity: 0.7;
  }
}

/* header */
header {
  margin-top: 110px;
  height: 70vh;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: var(--primary-color);
  overflow: hidden;
  position: relative;
  cursor: pointer;
}

.slider {
  width: 100vw;
  height: 100%;
  position: relative;
  overflow: hidden;
}

.slider::before,
.slider::after {
  content: "";
  position: absolute;
  width: 0;
  height: 0;
  z-index: 5;
  opacity: 0.5;
}

.slider::before {
  top: 0;
  right: 0;
  border-left: 300px solid transparent;
  border-top: 300px solid var(--primary-color);
}

.slider::after {
  bottom: 0;
  left: 0;
  border-left: 300px solid var(--secondary-color);
  border-top: 300px solid transparent;
}

.slides {
  display: flex;
  transition: transform 0.5s ease-in-out;
  height: 100%;
}

.slide {
  min-width: 100vw;
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  position: relative;
  overflow: hidden;
}

.slide img {
  width: 100%;
  height: auto;
  object-fit: cover;
  max-height: 100%;
  animation: zoom 10s ease-in-out infinite;
  filter: blur(2px);
}

@keyframes zoom {
  0% {
    transform: scale(1);
  }
  100% {
    transform: scale(1.2);
  }
}

.caption {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
  background-color: rgba(0, 0, 0, 0.5); /* Dark semi-transparent background */
  color: white;
  padding: 15px 30px; /* A bit more padding */
  border-radius: 10px; /* More rounded corners */
  font-size: 2rem;
  text-align: center;
  text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.7); /* Add text shadow for readability */
  transition: background-color 0.3s ease;
}

.caption:hover {
  background-color: rgba(0, 0, 0, 0.7); /* Darken on hover */
}

.caption a {
  color: white;
  text-decoration: none;
}

.slider-btn {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  background: transparent;
  color: var(--primary-color);
  border: none;
  padding: 20px 20px;
  border-radius: 20px;
  cursor: pointer;
  z-index: 10;
  font-size: 2rem;
}

.slider-btn:hover {
  background-color: rgba(255, 255, 255, 0.2);
}

button.prev {
  left: 10px;
}

button.next {
  right: 10px;
}
/* main */
main {
  margin-top: 128px;
  display: grid;
  grid-template-columns: 1fr 3fr 3fr 3fr 1fr;
}

section {
  grid-column: 2 / 5;
}
/* features */
#features {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 20px;
  padding: 40px 0;
}

.feature-item {
  background-color: var(--secondary-color);
  color: white;
  border-radius: 8px;
  text-align: center;
  display: flex;
  flex-direction: column;
  align-items: center;
  overflow: hidden;
  height: 300px;
  position: relative;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1), 0 1px 3px rgba(0, 0, 0, 0.06);
  transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.feature-item:hover {
  transform: translateY(-5px);
  box-shadow: 0 10px 15px rgba(0, 0, 0, 0.2), 0 4px 6px rgba(0, 0, 0, 0.1);
}

.feature-item img {
  width: 100%;
  height: 66.33%;
  object-fit: cover;
  object-position: top;
}
.training-feature-img {
  object-position: center !important;
}

.feature-item h4 {
  margin-top: 20px;
  font-size: 18px;
  text-transform: uppercase;
  font-weight: bold;
}

.feature-item p {
  font-size: 14px;
  padding: 0 10px;
}

#features a {
  text-decoration: none;
}
/* about */
#about {
  display: flex;
  gap: 20px;
  align-items: flex-start;
  padding: 20px;
  position: relative;
}

#about img {
  width: 40%;
  object-fit: cover;
  border-radius: 12px;
  box-shadow: 0 4px 10px rgba(0, 0, 0, 0.1);
  transition: transform 0.3s ease, box-shadow 0.3s ease;
  position: sticky;
  top: 50vh;
  z-index: 10;
  margin: 0;
}

#about img:hover {
  transform: scale(1.05);
  box-shadow: 0 8px 15px rgba(0, 0, 0, 0.2);
}

.about--content {
  flex: 1;
}

.about--content h3 {
  font-size: 24px;
  margin-bottom: 20px;
  color: var(--primary-color);
}

.about--content p {
  position: relative;
  padding-left: 30px;
  margin-bottom: 15px;
  font-size: 16px;
  line-height: 1.6;
}

.about--content p:before {
  content: "\f0da";
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  position: absolute;
  left: 0;
  top: 50%;
  transform: translateY(-50%);
  font-size: 18px;
  color: var(--primary-color);
}

.about--content ul {
  list-style: none;
  padding: 0;
}

.about--content ul li {
  position: relative;
  padding-left: 30px;
  margin-bottom: 10px;
}

.about--content ul li:before {
  content: "\f058";
  font-family: "Font Awesome 5 Free";
  font-weight: 900;
  position: absolute;
  left: 0;
  top: 50%;
  transform: translateY(-50%);
  font-size: 18px;
  color: var(--primary-color);
}

/* footer */
iframe {
  width: 100%;
  height: 50vh;
}
footer {
  display: flex;
  width: 100%;
  color: white;
  flex-wrap: wrap;
  background-color: #0563aa;
  justify-content: center;
  padding: 32px 0;
  gap: 32px;
}

footer a {
  color: white;
}

/* kontakt */
#contact-form {
  width: 50%;
  padding: 20px;
  border-radius: 8px;
}
#contact {
  display: flex;
  flex-direction: column;
  gap: 16px;
}
#contact img {
  max-width: 250px;
}

form {
  display: flex;
  flex-direction: column;
}

form label {
  margin: 10px 0 5px;
}

form input,
form textarea {
  padding: 10px;
  margin-bottom: 15px;
  border: 1px solid #ddd;
  border-radius: 4px;
  font-size: 14px;
}

form button {
  padding: 12px;
  background-color: #007bff;
  color: white;
  border: none;
  border-radius: 4px;
  cursor: pointer;
}

form button:hover {
  background-color: #0056b3;
}

.credits {
  text-align: center;
  width: 100%;
  margin: 32px 0;
}

.credits a {
  color: var(--primary-color);
  text-decoration: none;
}

.credits a:hover {
  text-decoration: underline;
}

/* modale */
.modal {
  display: none;
  position: fixed;
  z-index: 1000;
  left: 0;
  top: 0;
  width: 100%;
  height: 100%;
  background-color: rgba(0, 0, 0, 0.5);
  align-items: center; /* Center vertically */
  justify-content: center; /* Center horizontally */
}

.modal.modal-open {
    display: flex;
}

.modal-content {
  background-color: white;
  padding: 20px;
  border-radius: 10px;
  position: relative;
  overflow-y: auto;
  max-height: 90vh; /* Adjust as needed */
  margin: 20px auto; /* Center the modal and add vertical margin */
  flex: 2;
}

/* ... certy */
.certificates-gallery {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(100px, 1fr));
  gap: 16px;
  padding: 10px;
}

.certificates-gallery img {
  width: 100%;
  height: auto;
  border-radius: 8px;
  box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
  transition: transform 0.3s ease;
}

.certificates-gallery img:hover {
  transform: scale(1.05);
}

/* Możesz dodać dodatkowe style dla modalów, jeśli chcesz */
.modal-content {
  padding: 20px;
  max-width: 800px;
  overflow-y: auto;
  background-color: #fff;
  border-radius: 10px;
}

/* cookies*/
#cookie-info {
  position: fixed;
  bottom: 0;
  left: 0;
  width: 100%;
  background-color: rgba(0, 0, 0, 0.8);
  color: #fff;
  padding: 10px 20px;
  text-align: center;
  z-index: 999;
  font-size: 14px;
  display: flex;
  justify-content: center;
  align-items: center;
}

#cookie-info p {
  margin: 0;
  display: flex;
  flex-wrap: wrap;
  align-items: center;
  gap: 10px;
}

#cookie-info a {
  color: var(--primary-color);
  text-decoration: underline;
}

#cookie-info button {
  background-color: var(--secondary-color);
  border: none;
  color: #fff;
  padding: 5px 10px;
  cursor: pointer;
  border-radius: 5px;
  transition: background-color 0.3s ease;
}

#cookie-info button:hover {
  background-color: #0056b3;
}

/* galeria */
#gallery {
  margin: 128px;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(150px, 1fr));
  gap: 15px;
}

#gallery img {
  width: 100%;
  aspect-ratio: 1 / 1;
  object-fit: cover;
  border-radius: 8px;
  box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1), 0 1px 3px rgba(0, 0, 0, 0.06);
  cursor: pointer;
  transition: transform 0.2s ease, box-shadow 0.2s ease;
}

#gallery img:hover {
  transform: scale(1.05);
  box-shadow: 0 6px 10px rgba(0, 0, 0, 0.15), 0 2px 5px rgba(0, 0, 0, 0.1);
}

#lightbox {
  display: none;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.8);
  justify-content: center;
  align-items: center;
  z-index: 9999;
}

#lightbox img {
  max-width: 90%;
  max-height: 90%;
  border-radius: 8px;
  box-shadow: 0 8px 15px rgba(0, 0, 0, 0.2);
}

#lightbox-close {
  position: absolute;
  top: 20px;
  right: 20px;
  background: none;
  border: none;
  color: white;
  font-size: 2rem;
  cursor: pointer;
}

/* OFERTA */
.offer-main img {
  width: 100%;
  height: 40vh;
  object-fit: cover;
  object-position: center;
}
.offer-main h4 {
  font-size: 24px;
  margin-top: 16px;
  color: var(--primary-color);
}
.offer-main p {
  margin: 8px 0px;
}
.offer-main ul {
  margin: 0 32px;
}
/* PRIVACY AND COOKIES */
.privacy p {
  margin: 16px 0;
}
/* Tablet styles */
@media (max-width: 1024px) {
  main {
    margin-top: 64px;
  }
  nav {
    grid-template-columns: 1fr 2fr 1fr;
    height: auto;
    padding: 8px 16px;
  }

  .logo-nav {
    padding-top: 8px;
    width: 120px;
    transform: translate(0, 0);
  }

  nav ul {
    grid-column: 2;
    justify-content: space-around;
    gap: 8px;
    padding: 0;
  }

  nav a {
    font-size: 16px;
    margin-left: 16px;
  }

  .phone-icons {
    display: none;
  }

  header {
    margin: 0;
    height: 100vh;
  }
  .slide img {
    height: 100%;
  }
  .slider-btn {
    padding: 10px;
  }
  .caption {
    font-size: 18px;
  }
  #about {
    flex-direction: column;
    align-items: center;
    gap: 10px;
    padding: 0;
  }

  #about img {
    width: 100%;
    height: auto;
    position: static;
    box-shadow: none;
    margin-bottom: 20px;
  }

  #about img:hover {
    transform: none;
    box-shadow: none;
  }

  .about--content {
    width: 100%;
    text-align: center;
  }

  .about--content h3 {
    font-size: 20px;
  }

  .about--content p {
    padding-left: 0;
  }

  .about--content p:before {
    display: none;
  }

  .about--content ul {
    text-align: center;
    list-style-position: inside;
  }
  footer {
    display: flex;
    align-items: center;
    text-align: center;
    flex-direction: column;
    padding: 32px 0;
  }

  #contact-form,
  #contact {
    width: 90%;
    margin: 0;
  }

  #contact img {
    margin: 0 auto;
  }

  .credits {
    font-size: 14px;
    margin-bottom: 32px;
  }
  #gallery {
    margin: 72px 16px;
    grid-template-columns: repeat(3, 1fr);
    gap: 10px;
  }
}

/* Tablet and Mobile styles */
@media (max-width: 768px) {
  nav {
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 0 8px;
  }
  nav a {
    margin: 0;
  }

  .logo-nav {
    width: 80px;
    margin: 0 auto;
    display: block;
  }
  .logo-li {
    width: 100%;
  }

  nav ul {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    gap: 6%;
  }

  nav ul li {
    display: inline-block;
  }

  nav a {
    font-size: 16px;
    text-decoration: none;
    color: var(--primary-color);
  }
  #features {
    grid-template-columns: repeat(2, 1fr);
  }

  #features .feature-item:nth-child(3) {
    grid-column: 1 / 3;
    justify-self: center;
  }

  #features h4 {
    font-size: 16px;
    margin: 4px 0;
  }

  #features p {
    margin: 0 4px 8px;
  }
}

.modal-img {
  max-width: 100%;
  height: auto;
  border-radius: 8px;
  box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);
  margin-bottom: 16px;
}

#job-modal-img {
  aspect-ratio: 16/9;
  object-fit: cover;
  width: 100%;
}

#training-modal-img {
  aspect-ratio: 16/9;
  object-fit: cover;
  width: 100%;
}

.close {
  position: absolute;
  top: 15px;
  right: 15px;
  font-size: 30px;
  cursor: pointer;
  background-color: white;
  height: 40px;
  width: 40px;
  line-height: 40px;
  text-align: center;
  border-radius: 20px;
  z-index: 10;
}